declare enum SequenceStatus {
    IDLE = 0,
    RUNNING = 1,
    PAUSED = 2
}
declare class Display {
    private parentElement;
    private canvas;
    private ctx;
    private screen;
    private sequence;
    private offsetX;
    private offsetY;
    private width;
    private height;
    private canvasScale;
    private canvasWidth;
    private canvasHeight;
    private canvasOffsetX;
    private canvasOffsetY;
    private screenWidth;
    private screenHeight;
    private screenOffsetX;
    private screenOffsetY;
    private displayWidth;
    private displayHeight;
    private displayOffsetX;
    private displayOffsetY;
    constructor();
    private create;
    private updateSize;
    private clear;
    private updateScreen;
    updateDisplay(): void;
    updateImage(): void;
    update(msg: Message): void;
    set(state: State): void;
    private onResize;
}
declare class Client {
    private display;
    private client;
    private connected;
    private progress;
    private progressText;
    private frames;
    constructor();
    private getWebsocketUri;
    private onMessage;
    private onOpen;
    private onClose;
    private setSequence;
    private setUpdate;
    private setStatus;
    private setProgress;
    private setFrame;
    private setDisplay;
    private cmd;
    disableClass(className: string): void;
    enableClass(className: string): void;
    sendCameraOpen(): void;
    private receivePing;
    private receiveCameraOpen;
    sendCameraClose(): void;
    private receiveCameraClose;
    private sendPong;
    sendAdvance(): void;
    sendRewind(): void;
    sendFrameSet(): void;
    sendToEnd(): void;
    sendToStart(): void;
    sendSelect(): void;
    private receiveSelect;
    sendStart(): void;
    sendStop(): void;
    private receiveUpdate;
    fullscreen(): void;
    exitFullscreen(): void;
    private active;
    private inactive;
}
declare const client: Client;
